<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

  <v-container>
    <v-breadcrumbs
      :items="items()"
      divider="/"
      light
    ></v-breadcrumbs>
    <v-divider/>
  </v-container>

</template>

<script>

export default {

  name: 'CurrenthPath',

  props: {
    l0: {type: String, default: null},
    l1: {type: String, default: null},
    l2: {type: String, default: null},
    l3: {type: String, default: null}
  },

  methods: {

   items: function() {
     var out = [{text: 'Benchmarking suite', to: {name: "Home"}, exact: true}];
     if(this.l1) {
       out.push({text: this.l1, to: "/"+this.l1.toLowerCase(), exact: true, disabled:!this.l2});
     }
     if(this.l2) {
       out.push({text: this.l2, to: "/"+this.l1.toLowerCase()+"/"+this.l2, exact: true, disabled:!this.l3});
     }
     if(this.l3) {
       out.push({text: this.l3, to: "/"+this.l1.toLowerCase()+"/"+this.l2.toLowerCase()+"/"+this.l3, exact: true, disabled:true});
     }
     return out;
   },
  }

};

</script>
